=== src/kem/ntru/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# This file was generated by
# scripts/copy_from_upstream/copy_from_upstream.py

set(_NTRU_OBJS "")

if(OQS_ENABLE_KEM_ntru_hps2048509)
    add_library(ntru_hps2048509_clean OBJECT kem_ntru_hps2048509.c pqclean_ntruhps2048509_clean/cmov.c pqclean_ntruhps2048509_clean/crypto_sort_int32.c pqclean_ntruhps2048509_clean/kem.c pqclean_ntruhps2048509_clean/owcpa.c pqclean_ntruhps2048509_clean/pack3.c pqclean_ntruhps2048509_clean/packq.c pqclean_ntruhps2048509_clean/poly.c pqclean_ntruhps2048509_clean/poly_lift.c pqclean_ntruhps2048509_clean/poly_mod.c pqclean_ntruhps2048509_clean/poly_r2_inv.c pqclean_ntruhps2048509_clean/poly_rq_mul.c pqclean_ntruhps2048509_clean/poly_s3_inv.c pqclean_ntruhps2048509_clean/sample.c pqclean_ntruhps2048509_clean/sample_iid.c)
    target_include_directories(ntru_hps2048509_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_ntruhps2048509_clean)
    target_include_directories(ntru_hps2048509_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(ntru_hps2048509_clean PRIVATE old_gas_syntax)
    endif()
    set(_NTRU_OBJS ${_NTRU_OBJS} $<TARGET_OBJECTS:ntru_hps2048509_clean>)
endif()

if(OQS_ENABLE_KEM_ntru_hps2048509_avx2)
    add_library(ntru_hps2048509_avx2 OBJECT pqclean_ntruhps2048509_avx2/cmov.c pqclean_ntruhps2048509_avx2/crypto_sort_int32.c pqclean_ntruhps2048509_avx2/kem.c pqclean_ntruhps2048509_avx2/owcpa.c pqclean_ntruhps2048509_avx2/pack3.c pqclean_ntruhps2048509_avx2/packq.c pqclean_ntruhps2048509_avx2/poly.c pqclean_ntruhps2048509_avx2/poly_lift.c pqclean_ntruhps2048509_avx2/poly_mod_3_Phi_n.s pqclean_ntruhps2048509_avx2/poly_mod_q_Phi_n.s pqclean_ntruhps2048509_avx2/poly_r2_inv.c pqclean_ntruhps2048509_avx2/poly_r2_mul.s pqclean_ntruhps2048509_avx2/poly_rq_mul.s pqclean_ntruhps2048509_avx2/poly_rq_to_s3.s pqclean_ntruhps2048509_avx2/poly_s3_inv.c pqclean_ntruhps2048509_avx2/sample.c pqclean_ntruhps2048509_avx2/sample_iid.c pqclean_ntruhps2048509_avx2/square_126_509_shufbytes.s pqclean_ntruhps2048509_avx2/square_15_509_shufbytes.s pqclean_ntruhps2048509_avx2/square_1_509_patience.s pqclean_ntruhps2048509_avx2/square_252_509_shufbytes.s pqclean_ntruhps2048509_avx2/square_30_509_shufbytes.s pqclean_ntruhps2048509_avx2/square_3_509_patience.s pqclean_ntruhps2048509_avx2/square_63_509_shufbytes.s pqclean_ntruhps2048509_avx2/square_6_509_patience.s pqclean_ntruhps2048509_avx2/vec32_sample_iid.s)
    target_include_directories(ntru_hps2048509_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_ntruhps2048509_avx2)
    target_include_directories(ntru_hps2048509_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(ntru_hps2048509_avx2 PRIVATE  -mavx2  -mbmi2 )
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(ntru_hps2048509_avx2 PRIVATE old_gas_syntax)
    endif()
    set(_NTRU_OBJS ${_NTRU_OBJS} $<TARGET_OBJECTS:ntru_hps2048509_avx2>)
endif()

if(OQS_ENABLE_KEM_ntru_hps2048677)
    add_library(ntru_hps2048677_clean OBJECT kem_ntru_hps2048677.c pqclean_ntruhps2048677_clean/cmov.c pqclean_ntruhps2048677_clean/crypto_sort_int32.c pqclean_ntruhps2048677_clean/kem.c pqclean_ntruhps2048677_clean/owcpa.c pqclean_ntruhps2048677_clean/pack3.c pqclean_ntruhps2048677_clean/packq.c pqclean_ntruhps2048677_clean/poly.c pqclean_ntruhps2048677_clean/poly_lift.c pqclean_ntruhps2048677_clean/poly_mod.c pqclean_ntruhps2048677_clean/poly_r2_inv.c pqclean_ntruhps2048677_clean/poly_rq_mul.c pqclean_ntruhps2048677_clean/poly_s3_inv.c pqclean_ntruhps2048677_clean/sample.c pqclean_ntruhps2048677_clean/sample_iid.c)
    target_include_directories(ntru_hps2048677_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_ntruhps2048677_clean)
    target_include_directories(ntru_hps2048677_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(ntru_hps2048677_clean PRIVATE old_gas_syntax)
    endif()
    set(_NTRU_OBJS ${_NTRU_OBJS} $<TARGET_OBJECTS:ntru_hps2048677_clean>)
endif()

if(OQS_ENABLE_KEM_ntru_hps2048677_avx2)
    add_library(ntru_hps2048677_avx2 OBJECT pqclean_ntruhps2048677_avx2/cmov.c pqclean_ntruhps2048677_avx2/crypto_sort_int32.c pqclean_ntruhps2048677_avx2/kem.c pqclean_ntruhps2048677_avx2/owcpa.c pqclean_ntruhps2048677_avx2/pack3.c pqclean_ntruhps2048677_avx2/packq.c pqclean_ntruhps2048677_avx2/poly.c pqclean_ntruhps2048677_avx2/poly_lift.c pqclean_ntruhps2048677_avx2/poly_mod_3_Phi_n.s pqclean_ntruhps2048677_avx2/poly_mod_q_Phi_n.s pqclean_ntruhps2048677_avx2/poly_r2_inv.c pqclean_ntruhps2048677_avx2/poly_r2_mul.s pqclean_ntruhps2048677_avx2/poly_rq_mul.s pqclean_ntruhps2048677_avx2/poly_rq_to_s3.s pqclean_ntruhps2048677_avx2/poly_s3_inv.c pqclean_ntruhps2048677_avx2/sample.c pqclean_ntruhps2048677_avx2/sample_iid.c pqclean_ntruhps2048677_avx2/square_10_677_shufbytes.s pqclean_ntruhps2048677_avx2/square_168_677_shufbytes.s pqclean_ntruhps2048677_avx2/square_1_677_patience.s pqclean_ntruhps2048677_avx2/square_21_677_shufbytes.s pqclean_ntruhps2048677_avx2/square_2_677_patience.s pqclean_ntruhps2048677_avx2/square_336_677_shufbytes.s pqclean_ntruhps2048677_avx2/square_3_677_patience.s pqclean_ntruhps2048677_avx2/square_42_677_shufbytes.s pqclean_ntruhps2048677_avx2/square_5_677_patience.s pqclean_ntruhps2048677_avx2/square_84_677_shufbytes.s pqclean_ntruhps2048677_avx2/vec32_sample_iid.s)
    target_include_directories(ntru_hps2048677_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_ntruhps2048677_avx2)
    target_include_directories(ntru_hps2048677_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(ntru_hps2048677_avx2 PRIVATE  -mavx2  -mbmi2 )
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(ntru_hps2048677_avx2 PRIVATE old_gas_syntax)
    endif()
    set(_NTRU_OBJS ${_NTRU_OBJS} $<TARGET_OBJECTS:ntru_hps2048677_avx2>)
endif()

if(OQS_ENABLE_KEM_ntru_hps4096821)
    add_library(ntru_hps4096821_clean OBJECT kem_ntru_hps4096821.c pqclean_ntruhps4096821_clean/cmov.c pqclean_ntruhps4096821_clean/crypto_sort_int32.c pqclean_ntruhps4096821_clean/kem.c pqclean_ntruhps4096821_clean/owcpa.c pqclean_ntruhps4096821_clean/pack3.c pqclean_ntruhps4096821_clean/packq.c pqclean_ntruhps4096821_clean/poly.c pqclean_ntruhps4096821_clean/poly_lift.c pqclean_ntruhps4096821_clean/poly_mod.c pqclean_ntruhps4096821_clean/poly_r2_inv.c pqclean_ntruhps4096821_clean/poly_rq_mul.c pqclean_ntruhps4096821_clean/poly_s3_inv.c pqclean_ntruhps4096821_clean/sample.c pqclean_ntruhps4096821_clean/sample_iid.c)
    target_include_directories(ntru_hps4096821_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_ntruhps4096821_clean)
    target_include_directories(ntru_hps4096821_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(ntru_hps4096821_clean PRIVATE old_gas_syntax)
    endif()
    set(_NTRU_OBJS ${_NTRU_OBJS} $<TARGET_OBJECTS:ntru_hps4096821_clean>)
endif()

if(OQS_ENABLE_KEM_ntru_hps4096821_avx2)
    add_library(ntru_hps4096821_avx2 OBJECT pqclean_ntruhps4096821_avx2/cmov.c pqclean_ntruhps4096821_avx2/crypto_sort_int32.c pqclean_ntruhps4096821_avx2/kem.c pqclean_ntruhps4096821_avx2/owcpa.c pqclean_ntruhps4096821_avx2/pack3.c pqclean_ntruhps4096821_avx2/packq.c pqclean_ntruhps4096821_avx2/poly.c pqclean_ntruhps4096821_avx2/poly_lift.c pqclean_ntruhps4096821_avx2/poly_mod_3_Phi_n.s pqclean_ntruhps4096821_avx2/poly_mod_q_Phi_n.s pqclean_ntruhps4096821_avx2/poly_r2_inv.c pqclean_ntruhps4096821_avx2/poly_r2_mul.s pqclean_ntruhps4096821_avx2/poly_rq_mul.s pqclean_ntruhps4096821_avx2/poly_rq_to_s3.s pqclean_ntruhps4096821_avx2/poly_s3_inv.c pqclean_ntruhps4096821_avx2/sample.c pqclean_ntruhps4096821_avx2/sample_iid.c pqclean_ntruhps4096821_avx2/square_102_821_shufbytes.s pqclean_ntruhps4096821_avx2/square_12_821_shufbytes.s pqclean_ntruhps4096821_avx2/square_1_821_patience.s pqclean_ntruhps4096821_avx2/square_204_821_shufbytes.s pqclean_ntruhps4096821_avx2/square_24_821_shufbytes.s pqclean_ntruhps4096821_avx2/square_3_821_patience.s pqclean_ntruhps4096821_avx2/square_408_821_shufbytes.s pqclean_ntruhps4096821_avx2/square_51_821_shufbytes.s pqclean_ntruhps4096821_avx2/square_6_821_patience.s pqclean_ntruhps4096821_avx2/vec32_sample_iid.s)
    target_include_directories(ntru_hps4096821_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_ntruhps4096821_avx2)
    target_include_directories(ntru_hps4096821_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(ntru_hps4096821_avx2 PRIVATE  -mavx2  -mbmi2 )
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(ntru_hps4096821_avx2 PRIVATE old_gas_syntax)
    endif()
    set(_NTRU_OBJS ${_NTRU_OBJS} $<TARGET_OBJECTS:ntru_hps4096821_avx2>)
endif()

if(OQS_ENABLE_KEM_ntru_hps40961229)
    add_library(ntru_hps40961229_clean OBJECT kem_ntru_hps40961229.c pqclean_ntruhps40961229_clean/cmov.c pqclean_ntruhps40961229_clean/crypto_sort_int32.c pqclean_ntruhps40961229_clean/kem.c pqclean_ntruhps40961229_clean/owcpa.c pqclean_ntruhps40961229_clean/pack3.c pqclean_ntruhps40961229_clean/packq.c pqclean_ntruhps40961229_clean/poly.c pqclean_ntruhps40961229_clean/poly_lift.c pqclean_ntruhps40961229_clean/poly_mod.c pqclean_ntruhps40961229_clean/poly_r2_inv.c pqclean_ntruhps40961229_clean/poly_rq_mul.c pqclean_ntruhps40961229_clean/poly_s3_inv.c pqclean_ntruhps40961229_clean/sample.c pqclean_ntruhps40961229_clean/sample_iid.c)
    target_include_directories(ntru_hps40961229_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_ntruhps40961229_clean)
    target_include_directories(ntru_hps40961229_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(ntru_hps40961229_clean PRIVATE old_gas_syntax)
    endif()
    set(_NTRU_OBJS ${_NTRU_OBJS} $<TARGET_OBJECTS:ntru_hps40961229_clean>)
endif()

if(OQS_ENABLE_KEM_ntru_hrss701)
    add_library(ntru_hrss701_clean OBJECT kem_ntru_hrss701.c pqclean_ntruhrss701_clean/cmov.c pqclean_ntruhrss701_clean/kem.c pqclean_ntruhrss701_clean/owcpa.c pqclean_ntruhrss701_clean/pack3.c pqclean_ntruhrss701_clean/packq.c pqclean_ntruhrss701_clean/poly.c pqclean_ntruhrss701_clean/poly_lift.c pqclean_ntruhrss701_clean/poly_mod.c pqclean_ntruhrss701_clean/poly_r2_inv.c pqclean_ntruhrss701_clean/poly_rq_mul.c pqclean_ntruhrss701_clean/poly_s3_inv.c pqclean_ntruhrss701_clean/sample.c pqclean_ntruhrss701_clean/sample_iid.c)
    target_include_directories(ntru_hrss701_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_ntruhrss701_clean)
    target_include_directories(ntru_hrss701_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(ntru_hrss701_clean PRIVATE old_gas_syntax)
    endif()
    set(_NTRU_OBJS ${_NTRU_OBJS} $<TARGET_OBJECTS:ntru_hrss701_clean>)
endif()

if(OQS_ENABLE_KEM_ntru_hrss701_avx2)
